com.dlsc.flexgantt.swing.layer

## Enum LayerContainer.RenderingDirection

- java.lang.Object
- - java.lang.Enum<LayerContainer.RenderingDirection>
  - - com.dlsc.flexgantt.swing.layer.LayerContainer.RenderingDirection

- All Implemented Interfaces:
    Serializable, Comparable<LayerContainer.RenderingDirection>
  Enclosing class:
    LayerContainer

      public static enum LayerContainer.RenderingDirection
      extends Enum<LayerContainer.RenderingDirection>

  An enumerator, which can be used to specify a rendering hint for the framework. Timeline objects might get drawn from left to right (default) or right to left. The framework needs to know, which strategy is used by the application so that it can react accordingly.
  Since:
    1.0
  See Also:
    `LayerContainer.setRenderingDirection(com.dlsc.flexgantt.swing.layer.LayerContainer.RenderingDirection)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT_TO_RIGHT` The application returns timeline object iterators, which iterate in such a way that timeline objects that start earlier are returned first and timeline objects that start later are returned last.
    `RIGHT_TO_LEFT` The application returns timeline object iterators, which iterate in such a way that timeline objects that start later are returned first and timeline objects that start earlier are returned last.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LayerContainer.RenderingDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LayerContainer.RenderingDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_TO_RIGHT

          public static final LayerContainer.RenderingDirection LEFT_TO_RIGHT

      The application returns timeline object iterators, which iterate in such a way that timeline objects that start earlier are returned first and timeline objects that start later are returned last.
      Since:
        1.0

    - #### RIGHT_TO_LEFT

          public static final LayerContainer.RenderingDirection RIGHT_TO_LEFT

      The application returns timeline object iterators, which iterate in such a way that timeline objects that start later are returned first and timeline objects that start earlier are returned last.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static LayerContainer.RenderingDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayerContainer.RenderingDirection c : LayerContainer.RenderingDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayerContainer.RenderingDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.